EDIT - bug #5104

prevent MarkerTypes from being deleted when there are Marker entities using that type
07/22/2015 11:05 AM - Andreas Kohlbecker
Priority: Highest Due date:
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 3.12

Severity: normal Found in Version:

Description

In the taxeditor it is possible to delete MarkerTypes even if this type is in use. Missing marker types are causing in further
consequence a lot of problems.

The cdmlib should provide a mechanism that prevents from deleting MarkerTypes that are in use.

Makers without MarkerType should not be allowed!

Related issues:
Copied to EDIT - bug #6231: Correctly handle failed term deletions in the editor Worksforme

Associated revisions

Revision 06cfae86 - 10/28/2015 09:35 AM - Katja Luther
fix #5104 and #5328

History

#1 - 08/21/2015 05:36 PM - Andreas Miiller
This should be handled for ALL term types, not only marker types.

| wonder why hibernate is not aware of the term being used and does not throw an exception.

#2 - 10/14/2015 01:37 PM - Katja Luther
- Target version changed from Unassigned CDM tickets to Release 3.12

- Priority changed from New to Highest

#3 - 10/28/2015 11:18 AM - Katja Luther

- Status changed from New to In Progress

fixed with r26304, but have to fix the test.

#4 - 11/24/2015 12:45 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from k.luther - to Andreas Kohlbecker

test fixed r26650

#5 - 12/01/2016 02:43 PM - Andreas Kohlbecker
- Description updated

- Status changed from Resolved to Closed

- % Done changed from 0 to 100

- Private changed from Yes to No

Deletion is prevented at the persistence level, but the MarkerType is deleted from the session in the editor. That is it disappears from the list of
MarkerTypes in the MarkerType editor. After reconnecting the TaxEditor to the cdm instance the marker type becomes visible again. | am creating a
new issue for that, this one is actually solved.
#6 - 12/01/2016 02:47 PM - Andreas Kohlbecker
- Copied to bug #6231: Correctly handle failed term deletions in the editor added
